Connect Source AWS Organizational Unit
Connects an AWS organizational unit to the given project.
All current and future descendant AWS accounts within the organizational unit are discovered and available for backup.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project you want to connect the AWS organizational unit to. You can get your project ID from the API Credentials page in your global management console.
Request
This endpoint expects an object.
roleArn
ARN of the role Eon assumes to access the organizational unit in AWS.
providerOrganizationalUnitId
AWS-assigned organizational unit ID.
Response
AWS organizational unit connected.
organizationalUnit
The connected AWS organizational unit.
Errors
409
Conflict Error